Package: org.codehaus.groovy.grails.web.pages

## [Java] Class GroovyPageOutputStackAttributes

- org.codehaus.groovy.grails.web.pages.GroovyPageOutputStackAttributes

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `GroovyPageOutputStackAttributes.Builder` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Encoder` | `getDefaultTaglibEncoder()`
    `Encoder` | `getExpressionEncoder()`
    `Encoder` | `getOutEncoder()`
    `Encoder` | `getStaticEncoder()`
    `Encoder` | `getTaglibEncoder()`
    `java.io.Writer` | `getTopWriter()`
    `GrailsWebRequest` | `getWebRequest()`
    `boolean` | `isAllowCreate()`
    `boolean` | `isAutoSync()`
    `boolean` | `isInheritPreviousEncoders()`
    `boolean` | `isPushTop()`
    `boolean` | `isReplaceOnly()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public Encoder getDefaultTaglibEncoder()

    - #### public Encoder getExpressionEncoder()

    - #### public Encoder getOutEncoder()

    - #### public Encoder getStaticEncoder()

    - #### public Encoder getTaglibEncoder()

    - #### public java.io.Writer getTopWriter()

    - #### public GrailsWebRequest getWebRequest()

    - #### public boolean isAllowCreate()

    - #### public boolean isAutoSync()

    - #### public boolean isInheritPreviousEncoders()

    - #### public boolean isPushTop()

    - #### public boolean isReplaceOnly()